%define upstream_name    Sub-Name
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Allows to (re)name a sub
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
# Don't "provide" private perl objects
%{?perl_default_filter}

%description
This module allows to (re)name a sub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Sub
%{perl_vendorarch}/auto/Sub
%{_mandir}/*/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.280.0-2.mga10
+ Revision: 2234724
- Mageia 10 Mass Rebuild

* Sat Jan 25 2025 tv <tv> 0.280.0-1.mga10
+ Revision: 2142197
- update to 0.28

* Fri Aug 23 2024 tv <tv> 0.270.0-3.mga10
+ Revision: 2089049
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 0.270.0-2.mga10
+ Revision: 2010530
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.270.0-1.mga10
+ Revision: 1981021
- update to 0.27

* Tue Jun 07 2022 umeabot <umeabot> 0.260.0-6.mga9
+ Revision: 1862427
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.260.0-5.mga9
+ Revision: 1796072
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.260.0-4.mga9
+ Revision: 1727133
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.260.0-3.mga8
+ Revision: 1595273
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.260.0-2.mga8
+ Revision: 1534640
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Oct 06 2019 tv <tv> 0.260.0-1.mga8
+ Revision: 1449787
- update to 0.26

* Tue Aug 27 2019 tv <tv> 0.210.0-6.mga8
+ Revision: 1433027
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.210.0-5.mga7
+ Revision: 1293784
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 0.210.0-4.mga7
+ Revision: 1247458
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.210.0-3.mga7
+ Revision: 1166668
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.210.0-2.mga7
+ Revision: 1149184
- Rebuild for perl ABI changes

* Fri Jul 21 2017 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1126325
- rebuild for new perl 5.26.0 + new upstream ver

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1033542
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 1002299
- update to 0.15

* Fri Feb 12 2016 umeabot <umeabot> 0.140.0-3.mga6
+ Revision: 958009
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.140.0-2.mga6
+ Revision: 845297
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 840631
- New version 0.14 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 742907
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-3.mga5
+ Revision: 733447
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686271
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 672064
- update to 0.12

* Sun Aug 10 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 661456
- update to 0.09

* Thu Aug 07 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 660387
- update to 0.08

* Tue Jul 15 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 652907
- update to 0.07

* Tue Jun 03 2014 pterjan <pterjan> 0.50.0-8.mga5
+ Revision: 631700
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-7.mga4
+ Revision: 524482
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-6.mga4
+ Revision: 430962
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.50.0-5.mga4
+ Revision: 430109
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 372892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-3.mga3
+ Revision: 251152
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-2.mga2
+ Revision: 103647
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22841
- cleaning spec file
- imported package perl-Sub-Name


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 596677
- update to 0.05

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-2mdv2011.0
+ Revision: 556151
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 404421
- rebuild using %%perl_convert_version

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 238726
- update to new version 0.04

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 173562
- update to new version 0.03

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.02-2mdv2008.1
+ Revision: 152317
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
+ Revision: 74276
- import perl-Sub-Name


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
- first mdv release
